#ifndef SWIFT_EVENT_LOOP_H
#define SWIFT_EVENT_LOOP_H

#include <swift/data.h>
#include <swift/stdlib.h>
#include <swift/thread.h>

#include <swift/event/api.h>

SWIFT_EVENT_API bool swift_run_ev_loop_once(void);
SWIFT_EVENT_API void swift_run_ev_loop(void);
SWIFT_EVENT_API void swift_quit_ev_loop(void);

#endif /* SWIFT_EVENT_LOOP_H */
